Description

It would be nice if numbers with "e" highlights as regular float/double.

Example:
double x = 5e2;
double y = 5e-2;

P.S.
It seems that even redmine cpp highlighter has problem with this kind of numbers :)

History

#1 - 10/16/2014 05:57 PM - Zbigniew Rebacz
- Assignee set to Zbigniew Rebacz

#2 - 10/18/2014 11:33 PM - Zbigniew Rebacz
It should also works for int's

int milion = 1e6;

int thousand = 1e4;

#3 - 10/20/2014 02:19 PM - Zbigniew Rebacz

It sseems that it is bug, beacuse only following statement is not highlighted:

int x = 5.2434e100;

#4 - 10/26/2014 01:13 PM - Miroslav Fidler
- Status changed from New to Ready for QA

#5 - 10/27/2014 06:01 PM - Zbigniew Rebacz
- Status changed from Ready for QA to Approved

07/04/2025

1/1




